org.apache.sysds.runtime.codegen

## Interface SpoofCUDAOperator

- All Known Implementing Classes:
    SpoofCUDACellwise, SpoofCUDARowwise

      public interface SpoofCUDAOperator

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Interface and Description
    --- | ---
    `static class` | `SpoofCUDAOperator.PrecisionProxy`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static int` | `JNI_MAT_ENTRY_SIZE`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods Default Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `execute_dp(long ctx, long[] meta, long[] in, long[] sides, long[] out, long scalars)`
    `int` | `execute_sp(long ctx, long[] meta, long[] in, long[] sides, long[] out, long scalars)`
    `ScalarObject` | `execute(ExecutionContext ec, ArrayList<MatrixObject> inputs, ArrayList<ScalarObject> scalarObjects)`
    `MatrixObject` | `execute(ExecutionContext ec, ArrayList<MatrixObject> inputs, ArrayList<ScalarObject> scalarObjects, String outputName)`
    `String` | `getName()`
    `jcuda.Pointer` | `getScalarPtr()`
    `default long[]` | `prepareInputPointers(ExecutionContext ec, ArrayList<MatrixObject> inputs, int offset)`
    `default long[]` | `prepareOutputPointers(ExecutionContext ec, MatrixObject output, boolean sparseOut)`
    `default long[]` | `prepareSideInputPointers(ExecutionContext ec, ArrayList<MatrixObject> inputs, int offset, boolean tB1)`
    `void` | `releaseScalarGPUMemory(ExecutionContext ec)`
    `void` | `setScalarPtr(jcuda.Pointer ptr)`

- - ### Field Detail

    - #### JNI_MAT_ENTRY_SIZE

          static final int JNI_MAT_ENTRY_SIZE

      See Also:
        Constant Field Values

  - ### Method Detail

    - #### getName

          String getName()

    - #### setScalarPtr

          void setScalarPtr(jcuda.Pointer ptr)

    - #### getScalarPtr

          jcuda.Pointer getScalarPtr()

    - #### releaseScalarGPUMemory

          void releaseScalarGPUMemory(ExecutionContext ec)

    - #### prepareInputPointers

          default long[] prepareInputPointers(ExecutionContext ec,
                                              ArrayList<MatrixObject> inputs,
                                              int offset)

    - #### prepareSideInputPointers

          default long[] prepareSideInputPointers(ExecutionContext ec,
                                                  ArrayList<MatrixObject> inputs,
                                                  int offset,
                                                  boolean tB1)

    - #### prepareOutputPointers

          default long[] prepareOutputPointers(ExecutionContext ec,
                                               MatrixObject output,
                                               boolean sparseOut)

    - #### execute

          MatrixObject execute(ExecutionContext ec,
                               ArrayList<MatrixObject> inputs,
                               ArrayList<ScalarObject> scalarObjects,
                               String outputName)

    - #### execute

          ScalarObject execute(ExecutionContext ec,
                               ArrayList<MatrixObject> inputs,
                               ArrayList<ScalarObject> scalarObjects)

    - #### execute_sp

          int execute_sp(long ctx,
                         long[] meta,
                         long[] in,
                         long[] sides,
                         long[] out,
                         long scalars)

    - #### execute_dp

          int execute_dp(long ctx,
                         long[] meta,
                         long[] in,
                         long[] sides,
                         long[] out,
                         long scalars)

Copyright © 2021 The Apache Software Foundation. All rights reserved.